# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "stx"
version = "0.2.5"
authors = [
    "Beyondo",
    "VOID Operations",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Stx provides a no-std stack-based inline types for Rust, enabling efficient data structures without heap allocations."
readme = false
license = "MIT"

[features]
alloc = []
default = []
serde = ["dep:serde"]

[lib]
name = "stx"
path = "src/lib.rs"

[dependencies.serde]
version = "1"
optional = true
default-features = false

[dev-dependencies.serde_json]
version = "1"
